CUDNN Frontend API 8.3.0

Public Types | Static Public Member Functions | List of all members
nlohmann::detail::iterator_input_adapter_factory< IteratorType, enable_if_t< is_iterator_of_multibyte< IteratorType >::value > > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::iterator_input_adapter_factory< IteratorType, enable_if_t< is_iterator_of_multibyte< IteratorType >::value > >:

## Public Types
using | iterator_type = IteratorType
using | char_type = typename std::iterator_traits< iterator_type >::value_type
using | base_adapter_type = iterator_input_adapter< iterator_type >
using | adapter_type = wide_string_input_adapter< base_adapter_type, char_type >

## Static Public Member Functions
static adapter_type | create (IteratorType first, IteratorType last)

## Detailed Description

### template<typename IteratorType>
struct nlohmann::detail::iterator_input_adapter_factory< IteratorType, enable_if_t< is_iterator_of_multibyte< IteratorType >::value > >

Definition at line 5579 of file json.hpp.

## Member Typedef Documentation

## ◆ adapter_type

template<typename IteratorType >

using nlohmann::detail::iterator_input_adapter_factory< IteratorType, enable_if_t< is_iterator_of_multibyte< IteratorType >::value > >::adapter_type = wide_string_input_adapter<base_adapter_type, char_type>

Definition at line 5584 of file json.hpp.

## ◆ base_adapter_type

template<typename IteratorType >

using nlohmann::detail::iterator_input_adapter_factory< IteratorType, enable_if_t< is_iterator_of_multibyte< IteratorType >::value > >::base_adapter_type = iterator_input_adapter<iterator_type>

Definition at line 5583 of file json.hpp.

## ◆ char_type

template<typename IteratorType >

using nlohmann::detail::iterator_input_adapter_factory< IteratorType, enable_if_t< is_iterator_of_multibyte< IteratorType >::value > >::char_type = typename std::iterator_traits<iterator_type>::value_type

Definition at line 5582 of file json.hpp.

## ◆ iterator_type

template<typename IteratorType >

using nlohmann::detail::iterator_input_adapter_factory< IteratorType, enable_if_t< is_iterator_of_multibyte< IteratorType >::value > >::iterator_type = IteratorType

Definition at line 5581 of file json.hpp.

## Member Function Documentation

## ◆ create()

template<typename IteratorType >

static adapter_type nlohmann::detail::iterator_input_adapter_factory< IteratorType, enable_if_t< is_iterator_of_multibyte< IteratorType >::value > >::create | ( | IteratorType | first,
|  | IteratorType | last
| ) |  |
| inlinestatic

Definition at line 5586 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp